openapi: 3.0.0
info:
  title: Your Title Here
  description: This is a sample description. You can find out more about the OpenAPI Specification at http://spec.openapis.org/oas/v3.0.3.
  contact:
    email: apiteam@swagger.io
  version: '1.0.0'
servers:
- url: https://{defaultHost}
  variables:
    defaultHost:
      default: www.example.com
paths:
  /restapi/v10.1/Objects/SDWANPathQualityProfiles:
    get:
      tags:
      - SDWAN
      summary: getSDWANPathQualityProfiles
      description: Get SDWAN Path Quality Profiles
      operationId: getSDWANPathQualityProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - SDWAN
      summary: createSDWANPathQualityProfiles
      description: Create SDWAN Path Quality Profiles
      operationId: createSDWANPathQualityProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - SDWAN
      summary: updateSDWANPathQualityProfiles
      description: Update SDWAN Path Quality Profiles
      operationId: updateSDWANPathQualityProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - SDWAN
      summary: deleteSDWANPathQualityProfiles
      description: Delete SDWAN Path Quality Profiles
      operationId: deleteSDWANPathQualityProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Objects/SDWANTrafficDistributionProfiles:
    get:
      tags:
      - SDWAN
      summary: getSDWANTrafficDistributionProfiles
      description: Get SDWAN Traffic Distribution Profiles
      operationId: getSDWANTrafficDistributionProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - SDWAN
      summary: createSDWANTrafficDistributionProfiles
      description: Create SDWAN Traffic Distribution Profiles
      operationId: createSDWANTrafficDistributionProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - SDWAN
      summary: updateSDWANTrafficDistributionProfiles
      description: Update SDWAN Traffic Distribution Profiles
      operationId: updateSDWANTrafficDistributionProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - SDWAN
      summary: deleteSDWANTrafficDistributionProfiles
      description: Delete SDWAN Traffic Distribution Profiles
      operationId: deleteSDWANTrafficDistributionProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Policies/SDWANRules:
    get:
      tags:
      - SDWAN
      summary: getSDWANRules
      description: Get SDWAN Rules
      operationId: getSDWANRules
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - SDWAN
      summary: createSDWANRules
      description: Create SDWAN Rules
      operationId: createSDWANRules
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - SDWAN
      summary: updateSDWANRules
      description: Update SDWAN Rules
      operationId: updateSDWANRules
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - SDWAN
      summary: deleteSDWANRules
      description: Delete SDWAN Rules
      operationId: deleteSDWANRules
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/SDWANInterfaces:
    get:
      tags:
      - SDWAN
      summary: getSDWANInterfaces
      description: Get SDWAN Interfaces
      operationId: getSDWANInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - SDWAN
      summary: createSDWANInterfaces
      description: Create SDWAN Interfaces
      operationId: createSDWANInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - SDWAN
      summary: updateSDWANInterfaces
      description: Update SDWAN Interfaces
      operationId: updateSDWANInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - SDWAN
      summary: deleteSDWANInterfaces
      description: Delete SDWAN Interfaces
      operationId: deleteSDWANInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/EthernetInterfaces:
    get:
      tags:
      - Network
      summary: getEthernetInterfaces
      description: Get Ethernet Interfaces
      operationId: getEthernetInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createEthernetInterfaces
      description: Create Ethernet Interfaces
      operationId: createEthernetInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateEthernetInterfaces
      description: Update Ethernet Interfaces
      operationId: updateEthernetInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteEthernetInterfaces
      description: Delete Ethernet Interfaces
      operationId: deleteEthernetInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/AggregateEthernetInterfaces:
    get:
      tags:
      - Network
      summary: getAggregateEthernetInterfaces
      description: Get Aggregate Ethernet Interfaces
      operationId: getAggregateEthernetInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createAggregateEthernetInterfaces
      description: Create Aggregate Ethernet Interfaces
      operationId: createAggregateEthernetInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateAggregateEthernetInterfaces
      description: Update Aggregate Ethernet Interfaces
      operationId: updateAggregateEthernetInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteAggregateEthernetInterfaces
      description: Delete Aggregate Ethernet Interfaces
      operationId: deleteAggregateEthernetInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/VLANInterfaces:
    get:
      tags:
      - Network
      summary: getVLANInterfaces
      description: Get VLAN Interfaces
      operationId: getVLANInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createVLANInterfaces
      description: Create VLAN Interfaces
      operationId: createVLANInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateVLANInterfaces
      description: Update VLAN Interfaces
      operationId: updateVLANInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteVLANInterfaces
      description: Delete VLAN Interfaces
      operationId: deleteVLANInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/LoopbackInterfaces:
    get:
      tags:
      - Network
      summary: getLoopbackInterfaces
      description: Get Loopback Interfaces
      operationId: getLoopbackInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createLoopbackInterfaces
      description: Create Loopback Interfaces
      operationId: createLoopbackInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateLoopbackInterfaces
      description: Update Loopback Interfaces
      operationId: updateLoopbackInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteLoopbackInterfaces
      description: Delete Loopback Interfaces
      operationId: deleteLoopbackInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/TunnelIntefaces:
    get:
      tags:
      - Network
      summary: getTunnelIntefaces
      description: Get Tunnel Interfaces
      operationId: getTunnelIntefaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createTunnelIntefaces
      description: Create Tunnel Interfaces
      operationId: createTunnelIntefaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateTunnelIntefaces
      description: Update Tunnel Interfaces
      operationId: updateTunnelIntefaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteTunnelIntefaces
      description: Delete Tunnel Interfaces
      operationId: deleteTunnelIntefaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/Zones:
    get:
      tags:
      - Network
      summary: getZones
      description: Get Zones
      operationId: getZones
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createZones
      description: Create Zones
      operationId: createZones
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateZones
      description: Update Zones
      operationId: updateZones
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteZones
      description: Delete Zones
      operationId: deleteZones
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/VLANs:
    get:
      tags:
      - Network
      summary: getVLANs
      description: Get VLANs
      operationId: getVLANs
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createVLANs
      description: Create VLANs
      operationId: createVLANs
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateVLANs
      description: Update VLANs
      operationId: updateVLANs
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteVLANs
      description: Delete VLANs
      operationId: deleteVLANs
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/VirtualWires:
    get:
      tags:
      - Network
      summary: getVirtualWires
      description: Get Virtual Wires
      operationId: getVirtualWires
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createVirtualWires
      description: Create Virtual Wires
      operationId: createVirtualWires
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateVirtualWires
      description: Update Virtual Wires
      operationId: updateVirtualWires
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteVirtualWires
      description: Delete Virtual Wires
      operationId: deleteVirtualWires
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/VirtualRouters:
    get:
      tags:
      - Network
      summary: getVirtualRouters
      description: Get Virtual Routers
      operationId: getVirtualRouters
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createVirtualRouters
      description: Create Virtual Routers
      operationId: createVirtualRouters
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateVirtualRouters
      description: Update Virtual Routers
      operationId: updateVirtualRouters
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteVirtualRouters
      description: Delete Virtual Routers
      operationId: deleteVirtualRouters
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/IPSecTunnels:
    get:
      tags:
      - Network
      summary: getIPSecTunnels
      description: Get IPSec Tunnels
      operationId: getIPSecTunnels
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createIPSecTunnels
      description: Create IPSec Tunnels
      operationId: createIPSecTunnels
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateIPSecTunnels
      description: Update IPSec Tunnels
      operationId: updateIPSecTunnels
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteIPSecTunnels
      description: Delete IPSec Tunnels
      operationId: deleteIPSecTunnels
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/GRETunnels:
    get:
      tags:
      - Network
      summary: getGRETunnels
      description: Get GRE Tunnels
      operationId: getGRETunnels
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createGRETunnels
      description: Create GRE Tunnels
      operationId: createGRETunnels
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateGRETunnels
      description: Update GRE Tunnels
      operationId: updateGRETunnels
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteGRETunnels
      description: Delete GRE Tunnels
      operationId: deleteGRETunnels
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/DHCPServers:
    get:
      tags:
      - Network
      summary: getDHCPServers
      description: Get DHCP Servers
      operationId: getDHCPServers
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createDHCPServers
      description: Create DHCP Servers
      operationId: createDHCPServers
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateDHCPServers
      description: Update DHCP Servers
      operationId: updateDHCPServers
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteDHCPServers
      description: Delete DHCP Servers
      operationId: deleteDHCPServers
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/DHCPRelays:
    get:
      tags:
      - Network
      summary: getDHCPRelays
      description: Get DHCP Relays
      operationId: getDHCPRelays
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createDHCPRelays
      description: Create DHCP Relays
      operationId: createDHCPRelays
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateDHCPRelays
      description: Update DHCP Relays
      operationId: updateDHCPRelays
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteDHCPRelays
      description: Delete DHCP Relays
      operationId: deleteDHCPRelays
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/DNSProxies:
    get:
      tags:
      - Network
      summary: getDNSProxies
      description: Get DNS Proxies
      operationId: getDNSProxies
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createDNSProxies
      description: Create DNS Proxies
      operationId: createDNSProxies
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateDNSProxies
      description: Update DNS Proxies
      operationId: updateDNSProxies
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteDNSProxies
      description: Delete DNS Proxies
      operationId: deleteDNSProxies
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/GlobalProtectPortals:
    get:
      tags:
      - Network
      summary: getGlobalProtectPortals
      description: Get Global Protect Portals
      operationId: getGlobalProtectPortals
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createGlobalProtectPortals
      description: Create Global Protect Portals
      operationId: createGlobalProtectPortals
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateGlobalProtectPortals
      description: Update Global Protect Portals
      operationId: updateGlobalProtectPortals
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteGlobalProtectPortals
      description: Delete Global Protect Portals
      operationId: deleteGlobalProtectPortals
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/GlobalProtectGateways:
    get:
      tags:
      - Network
      summary: getGlobalProtectGateways
      description: Get Global Protect Gateways
      operationId: getGlobalProtectGateways
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createGlobalProtectGateways
      description: Create Global Protect Gateways
      operationId: createGlobalProtectGateways
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateGlobalProtectGateways
      description: Update Global Protect Gateways
      operationId: updateGlobalProtectGateways
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteGlobalProtectGateways
      description: Delete Global Protect Gateways
      operationId: deleteGlobalProtectGateways
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/GlobalProtectGatewayAgentTunnels:
    get:
      tags:
      - Network
      summary: getGlobalProtectGatewayAgentTunnels
      description: Get Global Protect Gateway Agent Tunnels
      operationId: getGlobalProtectGatewayAgentTunnels
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createGlobalProtectGatewayAgentTunnels
      description: Create Global Protect Gateway Agent Tunnels
      operationId: createGlobalProtectGatewayAgentTunnels
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateGlobalProtectGatewayAgentTunnels
      description: Update Global Protect Gateway Agent Tunnels
      operationId: updateGlobalProtectGatewayAgentTunnels
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteGlobalProtectGatewayAgentTunnels
      description: Delete Global Protect Gateway Agent Tunnels
      operationId: deleteGlobalProtectGatewayAgentTunnels
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/GlobalProtectGatewaySatelliteTunnels:
    get:
      tags:
      - Network
      summary: getGlobalProtectGatewaySatelliteTunnels
      description: Get Global Protect Gateway Satellite Tunnels
      operationId: getGlobalProtectGatewaySatelliteTunnels
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createGlobalProtectGatewaySatelliteTunnels
      description: Create Global Protect Gateway Satellite Tunnels
      operationId: createGlobalProtectGatewaySatelliteTunnels
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateGlobalProtectGatewaySatelliteTunnels
      description: Update Global Protect Gateway Satellite Tunnels
      operationId: updateGlobalProtectGatewaySatelliteTunnels
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteGlobalProtectGatewaySatelliteTunnels
      description: Delete Global Protect Gateway Satellite Tunnels
      operationId: deleteGlobalProtectGatewaySatelliteTunnels
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/GlobalProtectGatewayMDMServers:
    get:
      tags:
      - Network
      summary: getGlobalProtectGatewayMDMServers
      description: Get Global Protect Gateway MDM Servers
      operationId: getGlobalProtectGatewayMDMServers
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createGlobalProtectGatewayMDMServers
      description: Create Global Protect Gateway MDM Servers
      operationId: createGlobalProtectGatewayMDMServers
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateGlobalProtectGatewayMDMServers
      description: Update Global Protect Gateway MDM Servers
      operationId: updateGlobalProtectGatewayMDMServers
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteGlobalProtectGatewayMDMServers
      description: Delete Global Protect Gateway MDM Servers
      operationId: deleteGlobalProtectGatewayMDMServers
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/GlobalProtectClientlessApps:
    get:
      tags:
      - Network
      summary: getGlobalProtectClientlessApps
      description: Get Global Protect Clientless Apps
      operationId: getGlobalProtectClientlessApps
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createGlobalProtectClientlessApps
      description: Create Global Protect Clientless Apps
      operationId: createGlobalProtectClientlessApps
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateGlobalProtectClientlessApps
      description: Update Global Protect Clientless Apps
      operationId: updateGlobalProtectClientlessApps
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteGlobalProtectClientlessApps
      description: Delete Global Protect Clientless Apps
      operationId: deleteGlobalProtectClientlessApps
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/GlobalProtectClientlessAppGroups:
    get:
      tags:
      - Network
      summary: getGlobalProtectClientlessAppGroups
      description: Get Global Protect Clientless App Groups
      operationId: getGlobalProtectClientlessAppGroups
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createGlobalProtectClientlessAppGroups
      description: Create Global Protect Clientless App Groups
      operationId: createGlobalProtectClientlessAppGroups
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateGlobalProtectClientlessAppGroups
      description: Update Global Protect Clientless App Groups
      operationId: updateGlobalProtectClientlessAppGroups
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteGlobalProtectClientlessAppGroups
      description: Delete Global Protect Clientless App Groups
      operationId: deleteGlobalProtectClientlessAppGroups
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/QoSInterfaces:
    get:
      tags:
      - Network
      summary: getQoSInterfaces
      description: Get QoS Interfaces
      operationId: getQoSInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createQoSInterfaces
      description: Create QoS Interfaces
      operationId: createQoSInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateQoSInterfaces
      description: Update QoS Interfaces
      operationId: updateQoSInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteQoSInterfaces
      description: Delete QoS Interfaces
      operationId: deleteQoSInterfaces
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/LLDP:
    get:
      tags:
      - Network
      summary: getLLDP
      description: Get LLDP
      operationId: getLLDP
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createLLDP
      description: Create LLDP
      operationId: createLLDP
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateLLDP
      description: Update LLDP
      operationId: updateLLDP
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteLLDP
      description: Delete LLDP
      operationId: deleteLLDP
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/GlobalProtectIPSecCryptoNetworkProfiles:
    get:
      tags:
      - Network
      summary: getGlobalProtectIPSecCryptoNetworkProfiles
      description: Get Global Protect IPSec Crypto Network Profiles
      operationId: getGlobalProtectIPSecCryptoNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createGlobalProtectIPSecCryptoNetworkProfiles
      description: Create Global Protect IPSec Crypto Network Profiles
      operationId: createGlobalProtectIPSecCryptoNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateGlobalProtectIPSecCryptoNetworkProfiles
      description: Update Global Protect IPSec Crypto Network Profiles
      operationId: updateGlobalProtectIPSecCryptoNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteGlobalProtectIPSecCryptoNetworkProfiles
      description: Delete Global Protect IPSec Crypto Network Profiles
      operationId: deleteGlobalProtectIPSecCryptoNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/IKEGatewayNetworkProfiles:
    get:
      tags:
      - Network
      summary: getIKEGatewayNetworkProfiles
      description: Get IKE Gateway Network Profiles
      operationId: getIKEGatewayNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createIKEGatewayNetworkProfiles
      description: Create IKE Gateway Network Profiles
      operationId: createIKEGatewayNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateIKEGatewayNetworkProfiles
      description: Update IKE Gateway Network Profiles
      operationId: updateIKEGatewayNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteIKEGatewayNetworkProfiles
      description: Delete IKE Gateway Network Profiles
      operationId: deleteIKEGatewayNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/IKECryptoNetworkProfiles:
    get:
      tags:
      - Network
      summary: getIKECryptoNetworkProfiles
      description: Get IKE Crypto Network Profiles
      operationId: getIKECryptoNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createIKECryptoNetworkProfiles
      description: Create IKE Crypto Network Profiles
      operationId: createIKECryptoNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateIKECryptoNetworkProfiles
      description: Update IKE Crypto Network Profiles
      operationId: updateIKECryptoNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteIKECryptoNetworkProfiles
      description: Delete IKE Crypto Network Profiles
      operationId: deleteIKECryptoNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/MonitorNetworkProfiles:
    get:
      tags:
      - Network
      summary: getMonitorNetworkProfiles
      description: Get Monitor Network Profiles
      operationId: getMonitorNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createMonitorNetworkProfiles
      description: Create Monitor Network Profiles
      operationId: createMonitorNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateMonitorNetworkProfiles
      description: Update Monitor Network Profiles
      operationId: updateMonitorNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteMonitorNetworkProfiles
      description: Delete Monitor Network Profiles
      operationId: deleteMonitorNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/InterfaceManagementNetworkProfiles:
    get:
      tags:
      - Network
      summary: getInterfaceManagementNetworkProfiles
      description: Get Interface Management Network Profiles
      operationId: getInterfaceManagementNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createInterfaceManagementNetworkProfiles
      description: Create Interface Management Network Profiles
      operationId: createInterfaceManagementNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateInterfaceManagementNetworkProfiles
      description: Update Interface Management Network Profiles
      operationId: updateInterfaceManagementNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteInterfaceManagementNetworkProfiles
      description: Delete Interface Management Network Profiles
      operationId: deleteInterfaceManagementNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/ZoneProtectionNetworkProfiles:
    get:
      tags:
      - Network
      summary: getZoneProtectionNetworkProfiles
      description: Get Zone Protection Network Profiles
      operationId: getZoneProtectionNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createZoneProtectionNetworkProfiles
      description: Create Zone Protection Network Profiles
      operationId: createZoneProtectionNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateZoneProtectionNetworkProfiles
      description: Update Zone Protection Network Profiles
      operationId: updateZoneProtectionNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteZoneProtectionNetworkProfiles
      description: Delete Zone Protection Network Profiles
      operationId: deleteZoneProtectionNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/QoSNetworkProfiles:
    get:
      tags:
      - Network
      summary: getQoSNetworkProfiles
      description: Get QoS Network Profiles
      operationId: getQoSNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createQoSNetworkProfiles
      description: Create QoS Network Profiles
      operationId: createQoSNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateQoSNetworkProfiles
      description: Update QoS Network Profiles
      operationId: updateQoSNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteQoSNetworkProfiles
      description: Delete QoS Network Profiles
      operationId: deleteQoSNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/LLDPNetworkProfiles:
    get:
      tags:
      - Network
      summary: getLLDPNetworkProfiles
      description: Get LLDP Network Profiles
      operationId: getLLDPNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createLLDPNetworkProfiles
      description: Create LLDP Network Profiles
      operationId: createLLDPNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateLLDPNetworkProfiles
      description: Update LLDP Network Profiles
      operationId: updateLLDPNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteLLDPNetworkProfiles
      description: Delete LLDP Network Profiles
      operationId: deleteLLDPNetworkProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Network/SDWANInterfaceProfiles:
    get:
      tags:
      - Network
      summary: getSDWANInterfaceProfiles
      description: Get SDWAN Interface Profiles
      operationId: getSDWANInterfaceProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Network
      summary: createSDWANInterfaceProfiles
      description: Create SDWAN Interface Profiles
      operationId: createSDWANInterfaceProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Network
      summary: updateSDWANInterfaceProfiles
      description: Update SDWAN Interface Profiles
      operationId: updateSDWANInterfaceProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Network
      summary: deleteSDWANInterfaceProfiles
      description: Delete SDWAN Interface Profiles
      operationId: deleteSDWANInterfaceProfiles
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
  /restapi/v10.1/Device/VirtualSystems:
    get:
      tags:
      - Device
      summary: getVirtualSystems
      description: Get Virtual Systems
      operationId: getVirtualSystems
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Device
      summary: createVirtualSystems
      description: Create Virtual Systems
      operationId: createVirtualSystems
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Device
      summary: updateVirtualSystems
      description: Update Virtual Systems
      operationId: updateVirtualSystems
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      requestBody:
        description: The payload object
        content:
          text/plain:
            schema:
              type: object
              description: The payload object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Device
      summary: deleteVirtualSystems
      description: Delete Virtual Systems
      operationId: deleteVirtualSystems
      parameters:
      - name: query
        in: query
        description: The query object
        required: true
        style: form
        explode: true
        schema:
          type: object
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
      deprecated: false
tags:
- name: SDWAN
  description: SDWAN
- name: Network
  description: Network
- name: Device
  description: Device
